Subject: Re: bug#46461: [core-updates] fldigi missing source tarball
From: Guillaume Le Vaillant <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Feb 2021 14:31:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> building /gnu/store/h293gw17xn750v7sbhxrjkrq99h4mbn3-fldigi-4.1.17.tar.gz.drv...
>
> Starting download of /gnu/store/7y7xa4ks27s0i77bcllxypakl2fcivlv-fldigi-4.1.17.tar.gz
> From http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz...
> download failed "http://www.w1hkj.com/files/fldigi/fldigi-4.1.17.tar.gz" 404 "Not Found"
>
> [...]
>
> I've checked upstream, http://www.w1hkj.com/files/fldigi/ , they have only a fldigi 4.1.18 tarball.
>
> The git repository I could find, https://github.com/w1hkj/fldigi , has only tags
> up to 4.1.14.
>
> So if we used git (and thus swh) instead, we could only carry version 4.1.14.
> As it is now, upstream removing tarballs from their website will randomly break
> the build of the guix derivation--as it did here.

The git repository on Sourceforge has all the tags. I pushed a fix as
65e9f13116edc58836cdbd1da60bfb81a3d58c82 to use it instead of the
tarballs.